curl --request POST \
--url https://api.sandbox.cheqpay.mx/pos/v2/payment-orders/{id}/payer-authentication/validate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-merchant-id: <api-key>' \
--data '
{
"authenticationTransactionId": "auth-txn-123456789"
}
'import requests
url = "https://api.sandbox.cheqpay.mx/pos/v2/payment-orders/{id}/payer-authentication/validate"
payload = { "authenticationTransactionId": "auth-txn-123456789" }
headers = {
"x-api-key": "<api-key>",
"x-merchant-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-merchant-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({authenticationTransactionId: 'auth-txn-123456789'})
};
fetch('https://api.sandbox.cheqpay.mx/pos/v2/payment-orders/{id}/payer-authentication/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalId": "ORDER-123",
"status": "AUTHORIZED",
"amount": 250,
"currency": "MXN"
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"message": "Required"
}
]
}{
"message": "Invalid api key"
}{
"message": "Merchant not found"
}{
"message": "Error message"
}Validate 3DS payer authentication
Validates 3D Secure (3DS) payer authentication after the customer has completed the authentication challenge. This endpoint must be called when a payment order is in PAYER_AUTHENTICATION_CHALLENGE_REQUIRED status. Upon successful validation, the payment order status will typically transition to AUTHORIZED.
Authorizations
API key for authentication (required)
Merchant ID for identifying the merchant (required)
Path Parameters
Payment order ID
Body
The authentication transaction ID returned from the 3DS challenge
1"auth-txn-123456789"
Response
Payer authentication validated successfully
Payment order ID
"123e4567-e89b-12d3-a456-426614174000"
Payment order status (typically AUTHORIZED after successful validation)
PENDING, PROCESSING, REFERENCE_GENERATED, AUTHORIZED, PARTIALLY_AUTHORIZED, ACTION_REQUIRED, COMPLETED, PARTIALLY_PAID, CANCELLATION_REQUESTED, CANCELLED, FAILED, REFUND_PROCESSING, PARTIALLY_REFUNDED, REFUNDED "AUTHORIZED"
External payment order ID
"ORDER-123"
Payment amount
250
Currency code
"MXN"
Customer details